| Home | Libraries | People | FAQ | More

## Function template float_sort

boost::sort::spreadsort::float_sort — Floating-point sort algorithm using random access iterators with just right-shift functor.

## Synopsis

    // In header: <boost/sort/spreadsort/float_sort.hpp>

    template<typename RandomAccessIter, typename Right_shift>
      void float_sort(RandomAccessIter first, RandomAccessIter last,
                      Right_shift rshift);

## Description

Parameters:

`first` | Iterator pointer to first element.
`last` | Iterator pointing to one beyond the end of data.
`rshift` | Functor that returns the result of shifting the value_type right a specified number of bits.